View Issue Details

IDProjectCategoryView StatusLast Update
0006229TalerWeb site(s)public2020-07-24 11:56
ReporterChristian Grothoff Assigned TobuckE  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.7.1Fixed in Version0.8 
Summary0006229: enable machine translation
DescriptionI think it would be useful to enable MT in Weblate, as at least for me such MT translations usually give a good starting point from which one can refine grammar and choice of words:
https://docs.weblate.org/en/latest/admin/machine.html

At our (low) translation rates, I believe GoogleTranslate and MyMemory should both be effectively free (not sure about some of the others from the list). Google requires creating an account, MyMemory simply needs us to provide a contact address (in case of excessive use/API troubles). Plus it's Google. So for now, I'd suggest we enable the MyMemory service. I don't see a data protection issue here, as *these* strings are obviously fully public _and_ the requests are made not from the user's browser but by Weblate, so there is also no real tracking potential.
TagsNo tags attached.

Activities

buckE

2020-05-05 04:43

reporter   ~0015849

This is working. Within a component, navigate to the language you want to translate to, and click "Machine Translation" to be given options. using MyMemory.

buckE

2020-05-05 04:44

reporter   ~0015850

This is working with MyMemory. Navigate to the component, then the language. Then choose "Machine Translation"

Issue History

Date Modified Username Field Change
2020-05-03 14:25 Christian Grothoff New Issue
2020-05-03 14:25 Christian Grothoff Status new => assigned
2020-05-03 14:25 Christian Grothoff Assigned To => buckE
2020-05-04 08:20 buckE Status assigned => acknowledged
2020-05-05 04:43 buckE Note Added: 0015849
2020-05-05 04:44 buckE Status acknowledged => resolved
2020-05-05 04:44 buckE Resolution open => fixed
2020-05-05 04:44 buckE Note Added: 0015850
2020-07-24 11:56 Christian Grothoff Fixed in Version => 0.8